Bug 1268460 - Don't use OnlyShowIn in desktop files
Don't use OnlyShowIn in desktop files
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: bluez-gnome (Show other bugs)
21
All All
medium Severity low
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-02 17:03 EDT by Aleksandar Kostadinov
Modified: 2015-12-02 13:19 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 258721
Environment:
Last Closed: 2015-12-02 10:33:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aleksandar Kostadinov 2015-10-02 17:03:34 EDT
Hello, I think gnome bluetooth applet should show up in XFCE as well. Not only gnome. Could you make it show up in XFCE?


+++ This bug was initially created as a clone of Bug #258721 +++

There have been some complaints recently about the overuse of

OnlyShowIn=GNOME; 

in desktop files of applications that are not closely tied to a single desktop.
bluez-gnome has the same problem. Please remove OnlyShowIn=GNOME; from the
desktop files, and perhaps add the GNOME category instead to allow people to
easily filter it away if they really don't want to see gnome apps in their menus.

--- Additional comment from Bastien Nocera on 2007-09-20 15:45:02 EEST ---

bluez-gnome should really only be used in GNOME. KDE have their own Bluetooth
framework that interfaces with bluez's hcid.

I committed some changes to bluez-gnome so that it's only shown and launched in
GNOME, and not in KDE.
Comment 1 Fedora End Of Life 2015-11-04 05:20:32 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-12-02 10:33:39 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.